%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  ALassoSurvIC
%global packver   0.1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.1
Release:          1%{?dist}%{?buildtag}
Summary:          Adaptive Lasso for the Cox Regression with Interval Censored and Possibly Left Truncated Data

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildRequires:    R-CRAN-Rcpp 
BuildRequires:    R-parallel 
Requires:         R-CRAN-Rcpp 
Requires:         R-parallel 

%description
Penalized variable selection tools for the Cox proportional hazards model
with interval censored and possibly left truncated data. It performs
variable selection via penalized nonparametric maximum likelihood
estimation with an adaptive lasso penalty. The optimal thresholding
parameter can be searched by the package based on the profile Bayesian
information criterion (BIC). The asymptotic validity of the methodology is
established in Li et al. (2019 <doi:10.1177/0962280219856238>). The
unpenalized nonparametric maximum likelihood estimation for interval
censored and possibly left truncated data is also available.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
